{
  
  virtualisation.oci-containers.containers."baserow" = {
      image = "docker.io/baserow/baserow:1.13.3";
      environment = {
        BASEROW_PUBLIC_URL = "https://db.lanakk.com";
      };
      ports = [ "3001:80" ];
      volumes = [ "baserow_data:/baserow/data" ];
      extraOptions = [ "--add-host=postgres:10.88.0.1" ];
  };
  services.caddy.extraConfig = ''
            db.lanakk.com {
                          reverse_proxy localhost:3001
            }
'';
  
}
